terminalALUTs Endpoint

Returns Address Lookup Tables for specified market addresses. Only ALUTs used in recent arbitrage transactions (last 12 hours) are stored and indexed.

Note: we validate all ALUTs and will only return ONE per market where > 80% of the required accounts for that market exist. However, we cannot control if the ALUT is closed or had it's accounts changed between the time you called the endpoint and when it's used (happens on rare occasions).

POST https://api.getfomo.bot/aluts

Request

curl -X POST https://api.getfomo.bot/aluts \
  -H "Content-Type: application/json" \
  -H "x-api-key: your-api-key-here" \
  -d '{
    "markets": [
      "5Q544fKrFoe6tsEbD7S8EmxGTJYAKtTVhAW5Q5pge4j1",
      "HJPjoWUrhoZzkNfRpHuieeFk9WcZWjwy6PBjZ81ngndJ"
    ]
  }'

Body Fields

Field
Type
Default
Description

markets

string[]

--

Market/pool addresses to fetch ALUTs for.

Response

{
  "success": true,
  "count": 1,
  "aluts": [
    {
      "market": "5Q544fKrFoe6tsEbD7S8EmxGTJYAKtTVhAW5Q5pge4j1",
      "alut": "2immgwYNHBbyVQKVGCEkgWpi53bLwWNRMB5G2nbgYV17"
    },
    {
      "market": "HJPjoWUrhoZzkNfRpHuieeFk9WcZWjwy6PBjZ81ngndJ",
      "alut": null
    }
  ]
}

Last updated